Skip to main content
GET
/
v1
/
markets
/
search
Search Markets
curl --request GET \
  --url https://api.arbiterapi.com/v1/markets/search \
  --header 'X-API-Key: <api-key>'
{
  "markets": [
    {
      "id": "<string>",
      "slug": "<string>",
      "question": "<string>",
      "status": "open",
      "outcomes": [
        {
          "label": "<string>",
          "price": 123,
          "price_cents": 123
        }
      ],
      "platforms": [
        {
          "platform": "polymarket",
          "native_id": "<string>",
          "url": "<string>",
          "best_bid": 123,
          "best_ask": 123,
          "volume_24h": 123
        }
      ],
      "description": "<string>",
      "volume_24h": 0,
      "volume_total": 123,
      "open_interest": 123,
      "created_at": 123,
      "close_time": 123,
      "tags": [],
      "category": "<string>",
      "event_slug": "<string>",
      "image": "<string>"
    }
  ],
  "cursor": "<string>",
  "has_more": false
}

Documentation Index

Fetch the complete documentation index at: https://docs.arbiterapi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Query Parameters

Search market questions by keyword

Minimum string length: 2
platform
enum<string> | null

Filter by platform

Available options:
polymarket,
kalshi
status
enum<string> | null

Filter by status

Available options:
open,
closed,
resolved
category
string | null

Filter by category

tag
string | null

Filter by tag (comma-separated)

min_volume
number | null

Minimum 24h volume

start_ts
integer | null

Created after (Unix seconds)

end_ts
integer | null

Created before (Unix seconds)

sort_by
string | null
default:volume

Sort: volume, created_at

limit
integer
default:20
Required range: 1 <= x <= 100
cursor
string | null

Pagination cursor from previous response

Response

Successful Response

markets
UnifiedMarket · object[]
required
cursor
string | null
has_more
boolean
default:false